<?php
include( "lib/common.class.php" );

$common = new common();

if( ! $common->logged_in || ! $common->groups->is_member( "admin" ) )
{
    header( "Location: /" );
}

/* Okey we have a valid admin */
$content = "\n";

/* Add member to group/create group */
$add_group = $_POST["Addgrp"];
$del_group = $_POST["Delgrp"];
$set_pass  = $_POST["Setpass" ];
if( isset( $add_group ) )
{
    if( ! $common->groups->add( $_POST["uid"], $_POST["gname"] ) )
        $error = "Kunde inte lägga till andvändaren till gruppen";
}
elseif( isset( $del_group ) )
{
    if( $_POST["uid"] == 1 and $_POST["gname"] == "admin" )
        $error = "Tillåter inte att huvudadministratören tasbort";
    elseif( ! $common->groups->remove( $_POST["uid"], $_POST["gname"] ) )
        $error = "Kunde inte tabort andvändaren från gruppen";
}
elseif( isset( $set_pass ) )
{
    $common->set_password( $_POST["uid"], $_POST["password"] );
}

/* Groups */
$db = new SQLiteDatabase( $common->conf[db][file] );
$result = $db->query( "SELECT id, name, groupname FROM USERS JOIN GROUPS ON id=uid ORDER BY id ASC" );

$content .= "<b>Gruppmedlemar:</b><br />";
$content .= "<table><tr><td>uid</td><td>andvändare</td><td>grupp</td><td></td></tr>";
while( $result->valid() )
{
    $row = $result->current();
    $content .= "<tr><td>". $row[0] . "</td><td>" . $row[1] . "</td><td>" .
        $row[2] . "</td>";

    $content .= '<td><form name="groupdel" method="post" action="">';
    $content .= '<input name="uid" type="hidden" value="'.$row[0].'"/>';
    $content .= '<input name="gname" type="hidden" value="'.$row[2].'"/>';
    $content .= '<input class="inputbox2" type="submit" name="Delgrp"'.
    'value="Tabort"/></form></td></tr>';
    
    $result->next();
}
$content .= "</table>";

/* Add user to group */
$content .= '<table><tr><td>uid</td><td>Gruppnamn</td><td></td></tr><tr>';
$content .= '<form name="groupadd" method="post" action="">';
$content .= '<td><input size="1" class="inputbox2" name="uid"></td>';
$content .= '<td><input class="inputbox2" name="gname"></td>';
$content .= '<td><input class="inputbox2" type="submit" name="Addgrp"'.
    'value="Lägg till"></td>';
$content .= '</form></tr></table>';

/* Users */
$content .= "<br /><b>Andvändare:</b><br />";
$content .= '<form name="usermgmnt" method="post" action="">';
$content .= "<table><tr><td></td><td>id</td><td>andvändare</td><td></td></tr>";

$result = $db->query( "SELECT * FROM users" );
while( $result->valid() )
{
    $row = $result->current();
    $content .= '<tr><td><input class="inputbox2" name="uid" type="radio" value="'. $row[0] .'"/></td><td>'. $row[0] . '</td><td>' . $row[1]. '</td><td>';
    
    if( $row[2] == "" )
        $content .= "<b>LÅST</b>";

    $content .= '</td></tr>';
    
    $result->next();
}    
$content .= "</table>";
$content .= '<input class="inputbox2" type="text" name="password"/> <input class="inputbox2" type="submit" name="Setpass" value="Sätt lösenordet"/>';
$content .= "</form>";

/* create output! */
if( ! isset( $error ) )
    $error = "";

$common->output_page( "settings", "Administration", $content, "-", $error );
?>
