<?php
include( "lib/common.class.php" );

$common = new common();

$submit = $_POST["Submit"];

$content = "\n";

if ( $common->logged_in )
{
    if ( isset( $submit )) /* save settings */
    {
        if( $_POST["css"] != $common->user_conf[main][css] )
            if( $common->set_css( $_POST["css"] ) )
            {
                $common->user_conf[main][css] = $_POST["css"];
                $setcss = true;
                $sub_content .= "<b>Inställningarna är sparade</b>";
                $sub_content .= "<br />Böt tema";
            }
            else
                $error = "Kunde inte ändra tema";

        if( $_POST["new_pas"] != "" )
            if( $_POST["new_pas"] == $_POST["new_pas2"] )
            {
                if( $common->change_password( $_POST["old_pas"],
                                              $_POST["new_pas"] ) )
                {
                    if( ! isset( $setcss ) )
                        $sub_content .= "<b>Inställningarna är sparade</b>";
                    $sub_content .= "<br />Böt lösenord, så du kommer nu";
                    $sub_content .= ' behöva <a href="/login.php">logga in</a>';
                    $sub_content .= ' igen..';
                }
                else
                    $error = "Felaktigt lösenord";
            }
            else
                $error = "Lösenorden stämde inte överens";
    }

    $content .= "<form name=\"settings\" method=\"post\" action=\"\">\n";
    $content .= $common->lang[forms][password_new] . ": <br />\n";
    $content .= "<input class=\"inputbox2\" type=\"password\" name=\"new_pas\"/><br />\n";
    $content .= "Upprepa " . $common->lang[forms][password_new] . ": <br />\n";
    $content .= "<input class=\"inputbox2\" type=\"password\" name=\"new_pas2\"/><br />\n";
    $content .= "Gammalt " . $common->lang[forms][password] . ": <br />\n";
    $content .= "<input class=\"inputbox2\" type=\"password\" name=\"old_pas\"/><br />\n";
    $content .= $common->lang[forms][theme] . ": <br />\n";
    $content .= '<select class="inputbox2" name="css">\n';
    /* List all css files */
    $css_dir = opendir( $common->conf[folders][css] );
    while( ( $filename = readdir( $css_dir ) ) )
        if( $filename != "." and $filename != ".." )
            $css_files[] = $filename;
    closedir( $css_dir );

    sort( $css_files );

    foreach( $css_files as $filename )
        if( $common->user_conf[main][css] != $filename )
            $content .= '<option value="'. $filename .'">'.
                ucfirst(substr( $filename, 0, strlen( $filename )-4 )) .'</option>';
        else
            $content .= '<option selected="selected" value="'. $filename
                .'">'. ucfirst(substr( $filename, 0, strlen( $filename )-4 ))
                .'</option>';
    $content .= "</select><br /><br />";
    
    $content .= "<input class=\"inputbox2\" type=\"submit\" name=\"Submit\" value=\"Spara\" />";
    $content .= "</form>";

    if( isset( $sub_content ) ) /* output from setters */
    {
        $content .= "<br /><br />";
        $content .= $sub_content;
    }
}
else
{
    header( 'Location: /' );
}

if( $common->groups->is_member( "admin" ) )
    $content .= '<br /><br /><a href="/admin.php">Gå till Administrationen</a>';

if( ! isset( $error ) )
    $error = "";

$common->output_page( "settings", "Inställningar", $content, "-", $error );

?>
