<?php
  /*
   Kakwiki 2.19 - 27/5/2007
   Copyright 2007-2008, Patrik Nilsson <blambi@chebab.com>

   This software is originally forked from: 
      TigerWiki 2 (Version 2.19 - 2006-11-02)
      Copyleft (C) Arsenic 2005-2006, licence GNU/GPL (disponible sur www.gnu.org)
      http://chabel.org/ - root chez chabel point org
  */
   
/* Include common  */
include( "lib/common.class.php" );
$common = new common();

$submit = $_POST["Submit"];

/* Find the page that we should show */
if (! $PAGE_TITLE = stripslashes($_GET["page"])) {
    if ($_GET["action"] == "search")
        if ($_GET["query"] != "")
            $PAGE_TITLE = $common->lang[header][search_result] . '"' .
                $_GET[query] . '"';
        else
            $PAGE_TITLE = $common->lang[header][list_pages] . " (" .
                count(glob("$PAGES_DIR/*.*")) . ")";
    elseif ($_GET["action"] == "recent")
        $PAGE_TITLE = $common->lang[header][last_modified];
    elseif ($_GET["action"] == "tags")
        $PAGE_TITLE = $common->lang[header][tags];
    else
        $PAGE_TITLE = $common->lang[header][start_page];
}
$action = $_GET["action"];
if (isset($_GET["time"]))
    $gtime = $_GET["time"];
$datetw = date("d/m/Y H:i", mktime(date("H")));
// Arreter les acces malicieux via repertoire et accents
if (preg_match("/\//", $PAGE_TITLE))
    $PAGE_TITLE = $common->lang[header][start_page];
if (preg_match("/\//", $gtime))
    $gtime = '';
// Ecrire les modifications, s'il y a lieu
/* sort of: if anything was changed, write it down */
if ($_POST["content"] != "") {
    if ($_SERVER["REQUEST_METHOD"] == "POST") {	
        if ( $common->logged_in ) {
            if (! $file = @fopen( $common->conf[folders][pages] . stripslashes($_POST["page"]) . ".txt", "w"))
                die("Could not write page!");
            if (get_magic_quotes_gpc())
                fputs($file, trim(stripslashes($_POST["content"])));
            else
                fputs($file, trim($_POST["content"]));	    
            fclose($file);        
            if ( $common->conf[folders][backup] <> '') {
                $complete_dir_s = $common->conf[folders][backup]
                    . $_POST["page"] . "/";
                if (! $dir = @opendir($complete_dir_s)) {
                    mkdir($complete_dir_s);
                    chmod($complete_dir_s,0777);
                }
                if (! $file = @fopen($complete_dir_s . date("Ymd-Hi", mktime(date("H"))) . ".bak", "a"))
                    die("Could not write backup of page!");
                fputs($file, "\n// " . $datetw . " " . $common->lang[forms][user] . ": " . $common->get_user() . "\n");
                if (get_magic_quotes_gpc())
                    fputs($file, trim(stripslashes($_POST["content"])));
                else
                    fputs($file, trim($_POST["content"]) . "\n\n");
                fclose($file);
            }
            header("location: ./?page=" . urlencode(stripslashes($_POST[page])));
        }
        else { header("location: ./?page=" . $_POST[page]."&action=edit&error=1"); }
    }
}
elseif (isset($_POST["content"]) && $_POST["content"] == "") {
    if ( $common->logged_in ) {
        unlink($common->conf[folders][pages] . stripslashes($_POST["page"]) . ".txt");
    }
    else
        header("location: ./?page=".$_POST["page"]."&action=edit&error=1");
}

// Reading the content and modification date of the file
if (($file = @fopen( $common->conf[folders][pages] . $PAGE_TITLE . ".txt", "r")) || $action <> "") {
    if (file_exists( $common->conf[folders][pages] . $PAGE_TITLE . ".txt"))
        $TIME = date("d/m/Y H:i", @filemtime( $common->conf[folders][pages] . $PAGE_TITLE . ".txt") );
    $CONTENT = "\n" . @fread($file, @filesize( $common->conf[folders][pages] . $PAGE_TITLE . ".txt")) . "\n";
    if ( preg_match("/::secret::/", $CONTENT) && (! $common->logged_in )) /* secrets =) */
        $CONTENT = "\n". $common->lang[messages][secret_page];
    
    // Restore a page
    #if (isset($_GET["page"]) && isset($gtime) && $_GET["restore"] == 1)
    #    if ($file = @fopen( $BACKUP_DIR . $PAGE_TITLE . "/" . $gtime, "r"))
    #        $CONTENT = "\n" . @fread($file, @filesize($BACKUP_DIR . $PAGE_TITLE . "/" . $gtime)) . "\n";
    @fclose($file);
    $CONTENT = preg_replace("/\\$/Umsi", "&#036;", $CONTENT);
    $CONTENT = preg_replace("/\\\/Umsi", "&#092;", $CONTENT);
}
else {
    if (!file_exists( $common->conf[folders][pages] . $PAGE_TITLE . ".txt"))
        $CONTENT = "\n" . $common->lang[messages][default_page_content];
    else
        $action = "edit";
}

/* edit "ui" */
if ($action == "edit") {
    $CONTENT = "<form method=\"post\" action=\"./\"><textarea name=\"content\" cols=\"83\" rows=\"30\" style=\"width: 100%;\" class=\"inputbox2\" >".$CONTENT."</textarea><input type=\"hidden\" name=\"page\" value=\"".$PAGE_TITLE."\" /><br /><p align=\"right\">";
    if ( ! $common->logged_in )
        header( 'Location: /login.php' );
    $CONTENT .= " <input type=\"submit\" value=\"".$common->lang[forms][submit]."\" class=\"inputbox2\" /></p></div></form>";
}

// List page history
if ($action == "history" && !isset($gtime)) {
    $complete_dir = $common->conf[folders][backup] . $_GET["page"] . "/";
    if( $open_dir = @opendir( $complete_dir ))
    {
        while( false != ( $filename = @readdir( $open_dir )))
            $files[] = $filename;
        rsort( $files );
        
        $CONTENT = "\n"; /* FIXME: ugly hack to make output okey */
        foreach( $files as $name )
            if( $name != "." && $name != ".." )
                $CONTENT .= "<a href=\"?page=".$_GET["page"]."&amp;action=history&amp;time=".$name."\">".$name."</a>\n";
    }
    else
        $CONTENT = $common->lang[messages][no_history];
}
// Show whats in a history file
if ($action == "history" && isset($gtime)) {
    $complete_dir = $common->conf[folders][backup] . $PAGE_TITLE . "/";
    if ($file = @fopen( $common->conf[folders][backup] .
                        $PAGE_TITLE . "/" . $gtime, "r")) {
        $CONTENT = @fread($file, @filesize($complete_dir . $gtime)) . "\n";
    }
}

// Page search
if ($action == "search") {
    $dir = opendir(getcwd() . '/' . $common->conf[folders][pages]);
    while ($file = readdir($dir)) {
        if (preg_match("/.txt/", $file)) {
            $handle = fopen( $common->conf[folders][pages] . $file, "r");
            @$content = fread($handle,
                              filesize( $common->conf[folders][pages] .
                                        $file));
            fclose($handle);
            if (preg_match("/$_GET[query]/i", $content) || preg_match("/$_GET[query]/i", $common->conf[folders][pages] ."/$file")) {
                $file = substr($file, 0, strlen($file) - 4);

                if (( ! preg_match("/::secret::/i", $content) && ! preg_match("/::secret::/i", $common->conf[folders][pages] ."/$file")) || $common->logged_in )
                {
                    $CONTENT .= "<a href=\"./?page=".$file."\">".$file."</a><br />";
                }
            }
        }
    }
}
// Recent changes
elseif ($action == "recent") {
    $dir = opendir(getcwd() . "/" . $common->conf[folders][pages]);
    while ($file = readdir($dir))
        if (preg_match("/.txt/", $file))
            $filetime[$file] = filemtime( $common->conf[folders][pages]
                                          . $file);
    arsort($filetime);
    $filetime = array_slice($filetime, 0, 10);
    foreach ($filetime as $filename => $timestamp) {
        $filename = substr($filename, 0, strlen($filename) - 4);
        $CONTENT .= "<a href=\"./?page=".$filename."\">".$filename."</a> (" . strftime($common->conf[main][time_format], $timestamp ) . ")<br />";
    }
}
// Tags page
if ($action == "tags")
{
    $dir = opendir( getcwd() . "/" . $common->conf[folders][pages] );
    $tags = Array();
    while( $file = readdir( $dir ))
    {
        if (preg_match("/.txt/", $file))
        {
            // read file
            $handle = fopen( $common->conf[folders][pages] . $file, "r");
            @$content = fread($handle,
                              filesize( $common->conf[folders][pages]. $file));
            fclose($handle);

            preg_match( "/::tag-(". $common->conf[misc][tag_regexp] .")::/i", $content, $raw_tags );

            foreach( $raw_tags as $tag )
            {
                if( preg_match( "/^".$common->conf[misc][tag_regexp]."$/", $tag )) // HACK!
                {
                    if( ! in_array( $tag, $tags ) ) /* Oh a new tag! */
                    {
                        $CONTENT .= '<a href="?action=search&query=%3A%3Atag-'.$tag.'%3A%3A"><img src="'.$common->conf[folders][tags].'/tag-'.$tag.'.png" alt="tag: '.$tag.'" class="tag"></a>';
                        array_push( $tags, $tag );
                    }
                }
            }
        }
    }

    // Scan for unused
    $CONTENT .= "<br /><h2>".$common->lang[forms][tags_unused]."</h2><br />";

    $dir = opendir( getcwd() . "/".$common->conf[folders][tags]."/" );
    while( $file = readdir( $dir ))
    {
        preg_match( "/^tag-(".$common->conf[misc][tag_regexp].").png$/i", $file, $raw_tags );

        foreach( $raw_tags as $tag )
        {
            if( preg_match( "/^".$common->conf[misc][tag_regexp]."$/", $tag ) && ! in_array( $tag, $tags ))
            {
                $CONTENT .= '<a href="?action=search&query=%3A%3Atag-'.$tag.'%3A%3A"><img src="'.$common->conf[folders][tags].'/tag-'.$tag.'.png" alt="tag: '.$tag.'" class="tag"></a>';
                array_push( $tags, $tag );
            }
        }
    }
}

// Format the page
elseif ($action <> "edit") {

    if (preg_match("/%html%\s/", $CONTENT))

        $CONTENT = preg_replace("/%html%\s/", "", $CONTENT);
    else {
        $CONTENT = htmlentities($CONTENT);
        $CONTENT = preg_replace("/&amp;#036;/Umsi", "&#036;", $CONTENT);
        $CONTENT = preg_replace("/&amp;#092;/Umsi", "&#092;", $CONTENT);
        $CONTENT = preg_replace("/\^(.)/Umsie", "'&#'.ord('\\1').';'", $CONTENT);
        $CONTENT = preg_replace("/::tag-(".$common->conf[misc][tag_regexp].")::/", '<a href="?action=search&query=%3A%3Atag-$1%3A%3A"><img src="'.$common->conf[folders][tags].'/tag-$1.png" alt="tag: $1" class="tag"></a>', $CONTENT );
        $CONTENT = preg_replace("/::secret::/", '<img src="'.$common->conf[folders][icons].'/ico-secret.png" alt="secret page">', $CONTENT);
        $CONTENT = preg_replace('#\[(.+)\|([0-9a-zA-Z\.\'\s\#/~\-_%=\?\&amp;,\+]*)\]#U', '<a href="$2" class="url">$1</a>', $CONTENT);
        $CONTENT = preg_replace('#\[(.+)\|h(ttps?://[0-9a-zA-Z\.\#/~\-_%=\?\&amp;,\+]*)\]#U', '<a href="xx$2" class="url">$1</a>', $CONTENT);
        $CONTENT = preg_replace('#\[h(ttps?://[0-9a-zA-Z\.\&amp;\#\:/~\-_%=?]*\.(jpg|gif|png))\]#i', '<img src="xx$1" />', $CONTENT);
        $CONTENT = preg_replace('#\[([0-9a-zA-Z\.\&amp;\#\:/~\-_%=?]*\.(jpg|gif|png))\]#i', '<img src="$1" />', $CONTENT);
        $CONTENT = preg_replace('#(https?://[0-9a-zA-Z\.\&amp;\#\:/~\-_%=?]*)#i', '<a href="$0" class="url">$1</a>', $CONTENT);
        $CONTENT = preg_replace('#xxttp#', 'http', $CONTENT);
        preg_match_all("/\[([^\/]+)\]/U", $CONTENT, $matches, PREG_PATTERN_ORDER); //Pour bloquer les liens accentus : "/\[([0-9a-zA-Z\- :\.,\(\)\']+)\]/U"
        foreach ($matches[1] as $match)
            if (file_exists(html_entity_decode($common->conf[folders][pages]."$match.txt")))
                $CONTENT = str_replace("[$match]", "<a href=\"./?page=".$match."\">$match</a>", $CONTENT);
            else
                $CONTENT = str_replace("[$match]", "<a class=\"pending\" href=\"./?page=".$match."\">$match</a>", $CONTENT);
        $CONTENT = preg_replace('#(\[\?(.+)\]*)#i', '<a href="http://fr.wikipedia.org/wiki/$0" class="url">$0</a>', $CONTENT);
        $CONTENT = preg_replace('#([0-9a-zA-Z\./~\-_]+@[0-9a-z\./~\-_]+)#i', '<a href="mailto:$0">$0</a>', $CONTENT);
        $CONTENT = preg_replace('/^\*\*\*(.*)(\n)/Um', "<ul><ul><ul><li>$1</li></ul></ul></ul>$2", $CONTENT);
        $CONTENT = preg_replace('/^\*\*(.*)(\n)/Um', "<ul><ul><li>$1</li></ul></ul>$2", $CONTENT);
        $CONTENT = preg_replace('/^\*(.*)(\n)/Um', "<ul><li>$1</li></ul>$2", $CONTENT);
        $CONTENT = preg_replace('/^\#\#\#(.*)(\n)/Um', "<ol><ol><ol><li>$1</li></ol></ol></ol>$2", $CONTENT);
        $CONTENT = preg_replace('/^\#\#(.*)(\n)/Um', "<ol><ol><li>$1</li></ol></ol>$2", $CONTENT);
        $CONTENT = preg_replace('/^\#(.*)(\n)/Um', "<ol><li>$1</li></ol>$2", $CONTENT);

        $CONTENT = preg_replace('/(<\/ol>\n*<ol>|<\/ul>\n*<ul>)/', "", $CONTENT); 
        $CONTENT = preg_replace('/(<\/ol>\n*<ol>|<\/ul>\n*<ul>)/', "", $CONTENT); 
        $CONTENT = preg_replace('/(<\/ol>\n*<ol>|<\/ul>\n*<ul>)/', "", $CONTENT); 


        $CONTENT = preg_replace('/^!!!(.*)(\n)/Um', '<h1>$1</h1>$2', $CONTENT);
        $CONTENT = preg_replace('/^!!(.*)(\n)/Um', '<h2>$1</h2>$2', $CONTENT);
        $CONTENT = preg_replace('/^!(.*)(\n)/Um', '<h3>$1</h3>$2', $CONTENT);
        while (preg_match('/^  /Um', $CONTENT))
            $CONTENT = preg_replace('/^( +) ([^ ])/Um', '$1&nbsp;&nbsp;&nbsp;&nbsp;$2', $CONTENT);
        $CONTENT = preg_replace('/^ /Um', '&nbsp;&nbsp;&nbsp;&nbsp;', $CONTENT);
        $CONTENT = preg_replace('/----*(\r\n|\r|\n)/m', '<hr />', $CONTENT);
        $CONTENT = preg_replace('/\n/', '<br />', $CONTENT);
        $CONTENT = preg_replace('#</ul>(<br />)*#', "</ul>", $CONTENT);
        $CONTENT = preg_replace('#</ol>(<br />)*#', "</ol>", $CONTENT);

        $CONTENT = preg_replace('#</li><ul><li>*#', "<ul><li>", $CONTENT);
        $CONTENT = preg_replace('#</ul></ul>*#', "</ul></li></ul>", $CONTENT);
        $CONTENT = preg_replace('#</ul></ul>*#', "</ul></li></ul>", $CONTENT);
        $CONTENT = preg_replace('#</li></ul><li>*#', "</li></ul></li><li>", $CONTENT);

        $CONTENT = preg_replace('#</li><ol><li>*#', "<ol><li>", $CONTENT);
        $CONTENT = preg_replace('#</ol></ol>*#', "</ol></li></ol>", $CONTENT);
        $CONTENT = preg_replace('#</ol></ol>*#', "</ol></li></ol>", $CONTENT);
        $CONTENT = preg_replace('#</li></ol><li>*#', "</li></ol></li><li>", $CONTENT);

        $CONTENT = preg_replace('#(</h[123]>)<br />#', "$1", $CONTENT);
        $CONTENT = preg_replace("/{(.+)}/Ue", "'<pre><code>' . preg_replace('#<br />#', '', '\\1') . '</code></pre>'", $CONTENT);
        $CONTENT = preg_replace("/'''''(.*)'''''/Um", '<strong><em>$1</em></strong>', $CONTENT);
        $CONTENT = preg_replace("/'''(.*)'''/Um", '<strong>$1</strong>', $CONTENT);
        $CONTENT = preg_replace("/''(.*)''/Um", '<em>$1</em>', $CONTENT); 
        $CONTENT = substr($CONTENT, 6, strlen($CONTENT) - 6);
        $CONTENT = html_entity_decode($CONTENT);
    }
}

// print the page
if( $_GET['error'] != 1 )
    $ERROR = "";

$common->output_page( $action, $PAGE_TITLE, $CONTENT, $TIME, $ERROR );
?>
