<?php
class groups
{
    private $db;

    function __construct($db)
    {
        $this->db = $db;
    }
    
    function __destruct()
    {
        
    }
    
    function add( $uid, $group )
    {
        /*
         Add a users to a group, if user exists
         and isn't a member already
        */

        $result = $this->db->query( "SELECT id groupname FROM users WHERE id='".
                              sqlite_escape_string( $uid ) ."'" );
        /* Commented it away since add,remove are NOT run by the user
         * most of the time but by admins */
        if( ! $result->valid() ) // WRONG: || $this->is_member( $group ))
            return False;

        $this->db->query( 'INSERT INTO groups ("uid", "groupname") VALUES( "'.
                          sqlite_escape_string($uid) . '", "'. $group .'")' );

        return True;
    }

    function is_member( $group )
    {
        /* Returns True if user is a member */
        $result = $this->db->query( "SELECT groupname FROM groups WHERE uid='" .
                                    sqlite_escape_string($_COOKIE["KakAbuser"]).
                                    "'" );

        if( $result->valid() )
        {
            $row = $result->current();
            
            if( $row[0] == $group )
                return True;
            $result->next();
        }

        return False;
    }

    function remove( $uid, $group )
    {
        /* removes uid from group */
        
        $this->db->query( "DELETE FROM groups WHERE uid='".
                           sqlite_escape_string($uid). "' AND groupname='".
                           sqlite_escape_string($group)."'" );

        $this->db->query( "DELETE FROM groups WHERE uid='".
                           sqlite_escape_string($uid)."'AND groupname='".
                           sqlite_escape_string($group)."'");

        $result = $this->db->query( "SELECT * FROM groups WHERE uid='".
                                     sqlite_escape_string( $uid ) . 
                                    "' AND groupname='".
                                    sqlite_escape_string( $group )."'" );

        if( ! $result->valid() )
            return True;

        return False;
    }       
}
?>
